# *************************************************************************************************
#
# Horde3D
#   Next-Generation Graphics Engine
# --------------------------------------
# Copyright (C) 2006-2009 Nicolas Schulz
#               2008-2009 Florian Noeding (Python wrapper)
#
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License as published by the Free Software Foundation; either
# version 2.1 of the License, or (at your option) any later version.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
#
# *************************************************************************************************

from ctypes import *

if not 'c_bool' in globals():
	c_bool = c_int


__all__ = []



try:
	h3d = cdll.LoadLibrary('libHorde3D.so')
except OSError:
	h3d = cdll.LoadLibrary('Horde3D.dll')

if hasattr(h3d, 'h3dextAddTerrainNode'):
	H3DEXT_NodeType_Terrain = 100
	__all__.append('H3DEXT_NodeType_Terrain')

	class H3DEXTTerrain(object):
		HeightMapRes = 10000
		MaterialRes = 10001
		MeshQuality = 10002
		SkirtHeight = 10003
		BlockSize = 10004
	__all__.append('H3DEXTTerrain')


	h3dextAddTerrainNode = h3d.h3dextAddTerrainNode
	h3dextAddTerrainNode.restype = c_int
	h3dextAddTerrainNode.argtypes = [c_int, c_char_p, c_int, c_int]
	__all__.append('h3dextAddTerrainNode')

	
	_h3dextCreateTerrainGeoRes = h3d.h3dextCreateTerrainGeoRes
	_h3dextCreateTerrainGeoRes.restype = c_int
	_h3dextCreateTerrainGeoRes.argtypes = [c_int, c_char_p, c_float]
	def h3dextCreateTerrainGeoRes(node, resName, meshQuality):
		return _createGeometryResource(node, resName, c_float(meshQuality))
	__all__.append('h3dextCreateTerrainGeoRes')


